Initiate the consent request
Create a consent request by a Health Information User (HIU) to access a patient’s health data.
By invoking this API, the HIU initiates the process of obtaining the necessary permissions from the patient to retrieve their health information. This consent request is a critical component of the health information exchange framework, ensuring that patient data is accessed in a secure, authorised, and transparent manner. The API supports the establishment of trust and compliance with privacy regulations, facilitating seamless and ethical health information exchange. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended One of One of The reference URL. Should be a valid URL. Allow alpha numeric characters and special charactes like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" The abha address of the patient. It must start with Alphanumeric . and _ in the middle and must be ending with @abdm or @sbx. Allows alpha numeric character and special characters like ^[a-zA-Z0-9][a-zA-Z0-9_.\-!]+[a-zA-Z0-9]@(abdm|sbx)$ Identifier and name of the health information provider. The service ID of the health information provider. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$ The name of the health information provider. Allows alpha numeric and special characters like "^[a-zA-Z]+[A-Za-z0-9_\\-@,().\\s\\xa0:/]+" The type of the health information provider. Allows alpha numeric and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" The service ID of the health information user. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$ The name of the health information user. Allows alpha numeric and special characters like "^[a-zA-Z]+[A-Za-z0-9_\\-@,().\\s\\xa0:/]+" The type of the health information user. Allows alpha numeric and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" List of care contexts linked at the HIP end for the identified patient. A patient identifier with which patient is registered in the facility/hospital like abhaAddress @sbx. Allows alpha numeric and special characters like "^[a-zA-Z0-9_\\-@,().\"/: ]{0,255}$" An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data). Allows alpha numeric and special characters like "^[a-zA-Z0-9_\\-@,().\"/:| ]{0,255}$" The name of the requester The type of the identification. Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" The identification value. Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" Types of health information document. One of Should be UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$" Should be UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$" The date at which the consent expire. Should be UTC. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$" date time in ISO format One of The frequency unit value. Should be be a integer Should be be a integer Unauthorized 900901 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Not Found The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredBody
consentobjectRequiredconsent.purposeobjectRequiredconsent.purpose.textstringRequiredCare ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requestedconsent.purpose.codestringRequiredCAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQTconsent.purpose.refUristringRequiredconsent.patientobjectRequiredconsent.patient.idstringRequiredconsent.hipobjectconsent.hip.idstringRequiredconsent.hip.namestringconsent.hip.typestringconsent.hiuobjectRequiredconsent.hiu.idstringRequiredconsent.hiu.namestringconsent.hiu.typestringconsent.careContextsobject[]consent.careContexts.patientReferencestringRequiredconsent.careContexts.careContextReferencestringRequiredconsent.requesterobjectRequiredconsent.requester.namestringRequiredconsent.requester.identifierobjectRequiredconsent.requester.identifier.valuestringRequiredconsent.requester.identifier.typestringRequiredconsent.requester.identifier.systemstringRequiredconsent.hiTypesstring[]Requiredconsent.permissionobjectRequiredconsent.permission.accessModestringRequiredVIEWSTORESTREAMQUERYconsent.permission.dateRangeobjectRequiredconsent.permission.dateRange.fromstringRequiredconsent.permission.dateRange.tostringRequiredconsent.permission.dataEraseAtstringRequiredconsent.permission.frequencyobjectRequiredconsent.permission.frequency.unitstringRequiredHOURDAYWEEKMONTHYEARconsent.permission.frequency.valuenumberRequiredconsent.permission.frequency.repeatsnumberRequiredResponses
401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Callbacks
- After this call, ABDM posts Callback API of consent request for patient HIU. to
/api/v3/hiu/consent/request/on-init. Open the callback.